Inhalte
Index 🔎︎

# Anweisung DefDate

Die Anweisung DefDate legt den Standard-Variablentyp für Variablen fest, deren Name mit bestimmten Zeichen (dem angegebenen Zeichenbereich) anfängt, deren Typ jedoch nicht explizit durch ein Typ-Deklarationszeichen oder ein Schlüsselwort definiert wird.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameter:

char: Buchstabenpräfix, das den Standarddatentyp für Variablen angibt.

char-char: Buchstabenbereichspräfixe, die den Standarddatentyp für Variablen angeben.

### Beispiel:

        ' Präfixdefinitionen für Variablentypen:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefDate
          tDate=Date ' tDate ist implizit eine Datumsvariable
          Print VarType(tea), train, TypeName(timedate), IsDate(tick) ' Anzeige: 7 00:00:00 Date True
      End Sub